CVE-2003-0043
CVSS5.0
发布时间 :2003-02-07 00:00:00
修订时间 :2008-09-10 20:05:26
NMCOS    

[原文]Jakarta Tomcat before 3.3.1a, when used with JDK 1.3.1 or earlier, uses trusted privileges when processing the web.xml file, which could allow remote attackers to read portions of some files through the web.xml file.


[CNNVD]Apache Tomcat Web.XML远程文件内容泄露漏洞(CNNVD-200302-006)

        
        Apache Tomcat是一个流行的开放源码的JSP应用服务器程序。
        Apache Tomcat JDK 1.3.1及其以前版本的软件实现上存在漏洞,远程攻击者可能利用此漏洞获取服务器上部分文件的内容。
        如果能在Apache Tomcat服务器上创建一个名为'web.xml'的文件,远程攻击者可能通过它读取其他文件的部分内容。任何可被读取为XML文档一部份的文件,可被此漏洞利用来获取部分文件内容,造成信息泄露。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:apache:tomcat:3.2.3Apache Software Foundation Tomcat 3.2.3
cpe:/a:apache:tomcat:3.2.1Apache Software Foundation Tomcat 3.2.1
cpe:/a:apache:tomcat:3.1Apache Software Foundation Tomcat 3.1
cpe:/a:apache:tomcat:3.3Apache Software Foundation Tomcat 3.3
cpe:/a:apache:tomcat:3.0Apache Software Foundation Tomcat 3.0
cpe:/a:apache:tomcat:3.2.4Apache Software Foundation Tomcat 3.2.4
cpe:/a:apache:tomcat:3.1.1Apache Software Foundation Tomcat 3.1.1
cpe:/a:apache:tomcat:3.2Apache Software Foundation Tomcat 3.2
cpe:/a:apache:tomcat:3.3.1Apache Software Foundation Tomcat 3.3.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0043
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0043
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200302-006
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/11195
(VENDOR_ADVISORY)  XF  tomcat-webxml-read-files(11195)
http://jakarta.apache.org/builds/jakarta-tomcat/release/v3.3.1a/RELEASE-NOTES-3.3.1a.txt
(VENDOR_ADVISORY)  CONFIRM  http://jakarta.apache.org/builds/jakarta-tomcat/release/v3.3.1a/RELEASE-NOTES-3.3.1a.txt
http://jakarta.apache.org/builds/jakarta-tomcat/release/v3.3.1a/
(VENDOR_ADVISORY)  CONFIRM  http://jakarta.apache.org/builds/jakarta-tomcat/release/v3.3.1a/
http://www.securityfocus.com/bid/6722
(UNKNOWN)  BID  6722
http://www.securityfocus.com/advisories/5111
(UNKNOWN)  HP  HPSBUX0303-249
http://www.debian.org/security/2003/dsa-246
(UNKNOWN)  DEBIAN  DSA-246
http://www.ciac.org/ciac/bulletins/n-060.shtml
(UNKNOWN)  CIAC  N-060

- 漏洞信息

Apache Tomcat Web.XML远程文件内容泄露漏洞
中危 访问验证错误
2003-02-07 00:00:00 2005-05-13 00:00:00
本地  
        
        Apache Tomcat是一个流行的开放源码的JSP应用服务器程序。
        Apache Tomcat JDK 1.3.1及其以前版本的软件实现上存在漏洞,远程攻击者可能利用此漏洞获取服务器上部分文件的内容。
        如果能在Apache Tomcat服务器上创建一个名为'web.xml'的文件,远程攻击者可能通过它读取其他文件的部分内容。任何可被读取为XML文档一部份的文件,可被此漏洞利用来获取部分文件内容,造成信息泄露。
        

- 公告与补丁

        厂商补丁:
        Apache Software Foundation
        --------------------------
        目前厂商已经在3.3.1a及其以后版本的软件中修复了这个安全问题,请到厂商的主页下载:
        
        http://jakarta.apache.org/tomcat/index.html

- 漏洞信息

12231
Apache Tomcat web.xml Arbitrary File Access
Remote / Network Access Information Disclosure
Loss of Confidentiality
Exploit Unknown

- 漏洞描述

Jakarta Tomcat contains a flaw that may lead to an unauthorized information disclosure. The issue is due to an error when using trusted privileges to process the web.xml file. This flaw may allow a remote attacker to use web.xml to read arbitrary files in the web server, resulting in a loss of confidentiality.

- 时间线

2003-01-25 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 3.3.1a or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Apache Tomcat Web.XML File Contents Disclosure Vulnerability
Access Validation Error 6722
No Yes
2003-01-26 12:00:00 2009-07-11 08:06:00
This vulnerability was reported by the Jakarta Tomcat Team.

- 受影响的程序版本

Apache Software Foundation Tomcat 3.3.1
Apache Software Foundation Tomcat 3.3
- BSDI BSD/OS 4.0
- Caldera OpenLinux 2.4
- Conectiva Linux 5.1
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- SGI IRIX 6.5
- SGI IRIX 6.4
- Sun Solaris 8_sparc
- Sun Solaris 7.0
Apache Software Foundation Tomcat 3.2.4
Apache Software Foundation Tomcat 3.2.3
Apache Software Foundation Tomcat 3.2.1
- BSDI BSD/OS 4.0
- Caldera OpenLinux 2.4
- Conectiva Linux 5.1
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- HP Secure OS software for Linux 1.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- SGI IRIX 6.5
- SGI IRIX 6.4
- Sun Solaris 8_sparc
- Sun Solaris 7.0
Apache Software Foundation Tomcat 3.2
- BSDI BSD/OS 4.0
- Caldera OpenLinux 2.4
- Conectiva Linux 5.1
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- SGI IRIX 6.5
- SGI IRIX 6.4
- Sun Solaris 8_sparc
- Sun Solaris 7.0
Apache Software Foundation Tomcat 3.1.1
Apache Software Foundation Tomcat 3.1
- BSDI BSD/OS 4.0
- Caldera OpenLinux 2.4
- Conectiva Linux 5.1
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- SGI IRIX 6.5
- SGI IRIX 6.4
- Sun Solaris 8_sparc
- Sun Solaris 7.0
Apache Software Foundation Tomcat 3.0
- BSDI BSD/OS 4.0
- Caldera OpenLinux 2.4
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4 x86
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- SGI IRIX 6.5
- SGI IRIX 6.4
- Sun Solaris 8_sparc
- Sun Solaris 7.0
Apache Software Foundation Tomcat 3.3.1 a

- 不受影响的程序版本

Apache Software Foundation Tomcat 3.3.1 a

- 漏洞讨论

Apache Tomcat is prone to a file disclosure vulnerability when used with JDK 1.3.1 or earlier.

Apache Tomcat may permit malicious web applications to read the contents of some files. It is possible to create a malicious 'web.xml' file which is capable of reading parts of files. Any files that have content that can be read as part of a XML document would be disclosed to an attacker.

This may result in disclosure of sensitive information.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

HP has released an advisory (HPSBUX0303-249) that contains fixes to address this issue.

This issue has been addressed in Apache Tomcat 3.3.1a.

Fixes are available:


Apache Software Foundation Tomcat 3.0

Apache Software Foundation Tomcat 3.1

Apache Software Foundation Tomcat 3.1.1

Apache Software Foundation Tomcat 3.2

Apache Software Foundation Tomcat 3.2.1

Apache Software Foundation Tomcat 3.2.3

Apache Software Foundation Tomcat 3.2.4

Apache Software Foundation Tomcat 3.3

Apache Software Foundation Tomcat 3.3.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站